# Generated by Django 5.2.1 on 2025-05-14 22:46

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Transaction",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("issued", "Issued"),
                            ("failed", "Failed"),
                            ("pending", "Pending"),
                            ("success", "Success"),
                            ("expired", "Expired"),
                            ("cancelled", "Cancelled"),
                        ],
                        default="issued",
                        max_length=20,
                    ),
                ),
                ("amount", models.IntegerField(default=0)),
                (
                    "currency",
                    models.CharField(
                        choices=[
                            ("ANG", "Netherlands Antillean Guilder"),
                            ("AWG", "Aruban Florin"),
                            ("USD", "US Dollar"),
                            ("EUR", "Euro"),
                            ("XCD", "East Caribbean Dollar"),
                        ],
                        default="USD",
                        max_length=3,
                    ),
                ),
                ("merchant_id", models.CharField(max_length=46)),
                ("description", models.CharField(max_length=255)),
                ("transaction_id", models.CharField(db_index=True, max_length=255)),
                ("return_url", models.CharField(max_length=255)),
                ("customer", models.CharField(blank=True, max_length=50, null=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
            options={
                "verbose_name": "Transaction",
                "verbose_name_plural": "Transactions",
                "ordering": ["-created_at"],
            },
        ),
    ]
